Ask Your Question
0

Error while building project (LODE)

asked 2019-04-26 10:41:34 +0200

SanTho gravatar image

on executing the command -> make 2>&1 | tee build.log

I receive error, mentioned below

Making all in m4 Making all in src gawk: ./mkerrnos.awk:86: warning: regexp escape sequence \#' is not a known regexp operator gawk: ./mkerrcodes1.awk:84: warning: regexp escape sequence#' is not a known regexp operator gawk: ./mkerrcodes.awk:88: warning: regexp escape sequence \#' is not a known regexp operator gawk: ./mkstrtable.awk:113: warning: regexp escape sequence#' is not a known regexp operator gawk: ./mkstrtable.awk:113: warning: regexp escape sequence \#' is not a known regexp operator gawk: fatal: cannot use gawk builtinnamespace' as variable name make[4]: * [Makefile:1323: errnos-sym.h] Error 2 make[3]: [Makefile:474: all-recursive] Error 1 make[2]: [Makefile:405: all] Error 2 make[1]: [/cygdrive/c/lode/dev/core/external/libgpg-error/ExternalProject_libgpg-error.mk:22: C:/lode/dev/core/workdir/ExternalProject/libgpg-error/build] Error 1 make[1]: Waiting for unfinished jobs.... cl : Command line warning D9025 : overriding '/W4' with '/w' make: * [Makefile:282: build] Error 2

edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
0

answered 2019-05-04 10:41:03 +0200

Hynerian gravatar image

You can downgrade gawk, see here: https://lists.freedesktop.org/archive...

edit flag offensive delete link more
0

answered 2019-05-04 13:42:14 +0200

You can also run the steps mentioned in https://cygwin.com/install.html: 1.) Run the setup binary 2.) Choose view: "Full" 3.) Search for "gawk" 4.) In the drop down menu, choose "4.2.1-1" 5.) Go ahead

I faced the same problem and can prove it works.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

2 followers

Stats

Asked: 2019-04-26 10:41:34 +0200

Seen: 238 times

Last updated: May 04